/// <reference types="node" />
import type { Hmac, NodeCryptoCreateHmac } from './types';
export declare class NodeCryptoHmacSha256 implements Hmac {
    createHmac: NodeCryptoCreateHmac;
    constructor(createHmac: NodeCryptoCreateHmac);
    digest(key: Uint8Array, data: Uint8Array): Promise<Buffer>;
}
export declare class WebCryptoHmacSha256 implements Hmac {
    webCrypto: Crypto;
    constructor(webCrypto: Crypto);
    digest(key: Uint8Array, data: Uint8Array): Promise<Buffer>;
}
export declare function createHmacSha256(): Promise<Hmac>;
